Page MenuHomePhabricator

GENDER support in flow-error-edit-restricted
Closed, ResolvedPublic

Description

Event Timeline

Nemo_bis created this task.Aug 31 2015, 7:11 PM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 31 2015, 7:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

It's talking about the current user, so just using {{GENDER:|...}} should work. But we should indicate this in the English message.

Catrope triaged this task as Normal priority.Sep 2 2015, 11:22 PM
Catrope added a project: good first bug.
Catrope set Security to None.

Change 236584 had a related patch set uploaded (by Mooeypoo):
Add {{GENDER}} support for flow-error-edit-restricted

https://gerrit.wikimedia.org/r/236584

Change 236584 merged by jenkins-bot:
Remove unused message flow-error-edit-restricted

https://gerrit.wikimedia.org/r/236584

Etonkovidova added a subscriber: Etonkovidova.EditedSep 10 2015, 12:01 AM

Checked in betalabs - on protected Flow pages the generic message 'Blocked' is displayed instead of "flow-error-edit-restricted": "You are not allowed to edit this post.".

Some things to consider(filed it as T112125: The protected page does not have a clear indication that it's protected.:

  • The message is displayed only after edits are submitted.
  • Upon clicking Cancel, the popup "Are you sure?.." is displayed which is not necessary
  • The protected page does not have a clear indication that it's protected.
  • VE deals with protected pages smoother - there is a lack of Edit options or a warning is displayed before editing starts(for semi-protected pages).
DannyH closed this task as Resolved.Sep 14 2015, 5:20 PM
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 15 2017, 8:08 PM